<?php

defined('JPATH_BASE') or die;

JLoader::register('TagsHelperRoute', JPATH_BASE . '/components/com_tags/helpers/route.php');

$list = array();
if (!empty($displayData)) {
    foreach ($displayData as $i => $tag) {
        $item = array();
        if (in_array($tag->access, JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id')))) {
            $tagParams = new JRegistry($tag->params);
            $link_class = $tagParams->get('tag_link_class', 'label label-info');
            $item = array('title' => $this->escape($tag->title),
                'href' => JRoute::_(TagsHelperRoute::getTagRoute($tag->tag_id . '-' . $tag->alias)),
                'class' => $link_class);
        }
        $list[] = $item;
    }
 }

echo json_encode($list);