
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(__FILE__))) . DIRECTORY_SEPARATOR . 'functions.php';

preg_match('/<a[^>]*>(.*?)<\/a>/i', $data->cart_show, $tagParts);
$cartText = $tagParts[1];
preg_match('/href="(.*?)"/i', $data->cart_show, $hrefParts);
$cartHref = $hrefParts[1];
preg_match('/(.*?)<strong[^>]*>(.*?)<\/strong>/', $data->billTotal, $matches);
$totalLabel = $matches[1];
$totalPrice = $matches[2];
$parts = isset($attribs['drstyle']) ? explode('%', $attribs['drstyle']) : array();
$data->rawProducts = $cart->products;
?>
<?php if (count($parts) > 0 && 'block' === $parts[0]) : ?>
    <div data-cart-position="<?php echo $module->position; ?>" data-style="block">
	<?php if ($show_product_list and $data->totalProduct): ?>
		<?php 
    		$info = pathinfo(__FILE__);
        	$file = $info['dirname'] . '/' . $info['filename'] 
        		. '_block.' . $info['extension'];
        	include $file;
        ?>
	<?php else: ?>
		<?php echo $data->totalProductTxt; ?>
	<?php endif; ?>
	</div>
<?php else: ?>
    <div data-cart-position="<?php echo $module->position; ?>">
    
    <div class=" bd-cartlink-1 <?php echo $params->get('moduleclass_sfx'); ?>">
        
        <div class=" bd-horizontalmenu-4 clearfix">
            <div class="bd-container-inner">
                
                <ul class=" bd-menu-7 nav nav-pills navbar-left">
                    <li class=" bd-menuitem-7">
                        <a href="<?php echo $cartHref; ?>">
                            <?php if ($data->totalProduct and $show_price): ?>
                                
                                    <span>Your cart: (<?php echo $data->totalProduct; ?>)</span>
                                
                                    <div class=" bd-pricetext-7">
    
    <span class=" bd-container-10">
        <?php echo $totalPrice; ?>
    </span>
</div>
                            <?php else: ?>
                                <span><?php echo $data->totalProductTxt; ?></span>
                            <?php endif ?>
                        </a>
                        <?php if ($show_product_list and $data->totalProduct): ?>
                            <div class="bd-menu-8-popup">
                                
                                <ul class=" bd-menu-8">
                                    <li class=" bd-menuitem-8">
                                        <div class=" bd-cartcontainer-2">
    <?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/cartgrid_2.php'); ?>
	
		<?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/carttotal_3.php'); ?>
	
		<?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/layoutcontainer_13.php'); ?>
</div>
                                    </li>
                                </ul>
                                
                            </div>
                        <?php endif ?>
                    </li>
                </ul>
                
            </div>
        </div>
        
    </div>
    
    </div>
<?php endif ?>
<?php } ?>
