
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';
?>
<br />
<div class=" bd-shoppingcartgrandtotal-1">
    <table class=" bd-table-4">
        <thead class=" bd-tableitem-13">
            <tr>
                <th colspan="2"></th>
            </tr>
        </thead>
        <tbody class=" bd-tableitem-14">
            <?php if (VmConfig::get ('show_tax')) : ?>
            <tr>
                <td><?php  echo "<span  class='priceColor2'>" . JText::_ ('COM_VIRTUEMART_CART_SUBTOTAL_TAX_AMOUNT') ?></td>
                <td>
                    <?php
                        $text = $this->currencyDisplay->createPriceDiv ('billTaxAmount', '', $this->cart->pricesUnformatted['billTaxAmount'], FALSE);
                        echo "<span  class='priceColor2'>" . (!empty($text) ? $text : '-') . "</span>"
                    ?>
                </td>
            </tr>
            <?php endif; ?>
            <tr>
                <td><?php echo "<span  class='priceColor2'>" . JText::_ ('COM_VIRTUEMART_CART_SUBTOTAL_DISCOUNT_AMOUNT') ?></td>
                <td>
                    <?php
                        $text = $this->currencyDisplay->createPriceDiv ('billDiscountAmount', '', $this->cart->pricesUnformatted['billDiscountAmount'], FALSE);
                        echo "<span  class='priceColor2'>" . (!empty($text) ? $text : '-') . "</span>"
                    ?>
                </td>
            </tr>
        </tbody>
        <tfoot class=" bd-tableitem-15">
            <tr class=" bd-container-35">
                <td>
                    <strong><?php echo JText::_ ('COM_VIRTUEMART_CART_TOTAL') ?>:</strong>
                </td>
                <td>
                    <strong><span><?php echo $this->currencyDisplay->createPriceDiv ('billTotal', '', $this->cart->pricesUnformatted['billTotal'], FALSE); ?></span></strong>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
<?php } ?>
