
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php
require_once dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'functions.php';
/**
 * Show the products in a category
 */

JHTML::_( 'behavior.modal' );
?>

<div class="browse-view">

<?php if (!empty($this->keyword)) : ?>
    <h3><?php echo $this->keyword; ?></h3>
<?php endif; ?>


<div class=" bd-products-1">
    
    <div class=" bd-container-52">
    <h2><?php echo $this->category->category_name; ?></h2>
</div>
    
    <div class=" bd-categories-24">
    
    <div class=" bd-container-57">
    <?php
    $mainCategoryNameDecorator = new stdClass();
    $mainCategoryNameDecorator->link = '';
    $mainCategoryNameDecorator->name = $this->category->category_name;
    $mainCategoryDescDecorator = new stdClass();
    $mainCategoryDescDecorator->description = $this->category->category_description;
    $mainCategoryCountDecorator = new stdClass();
    $mainCategoryCountDecorator->count = count($this->products);
    $mainCategoryImageDecorator = new stdClass();
    $mainCategoryImageDecorator->image = $this->category->images[0];
    $mainCategoryImageDecorator->link = '';
    $categoryItems = new stdClass();
    $categoryItems->categoryName = $mainCategoryNameDecorator;
    $categoryItems->categoryDesc = $mainCategoryDescDecorator;
    $categoryItems->categoryCount = $mainCategoryCountDecorator;
    $categoryItems->categoryImage = $mainCategoryImageDecorator;
    ?>
    <?php 
    renderTemplateFromIncludes('category_name_2', array($categoryItems));
?>
</div>
    
    <?php if (VmConfig::get('showCategory', 1) and empty($this->keyword)) : ?>
<?php if ($this->category->haschildren) : ?>
<div class=" bd-productcategories-23">
    <?php if(!empty($this->category->children)) : ?>
    <div class=" bd-grid-51">
        <div class="separated-grid row">
        <?php foreach ( $this->category->children as $category ) : ?>
        <?php
            $categoryNameDecorator = new stdClass();
            $categoryNameDecorator->link = JRoute::_ ( 'index.php?option=com_virtuemart&view=category&virtuemart_category_id=' . $category->virtuemart_category_id );
            $categoryNameDecorator->name = $category->category_name;
            $categoryDescDecorator = new stdClass();
            $categoryDescDecorator->description = $category->category_description;

            $categoryCountDecorator = new stdClass();
            $productModel = VmModel::getModel('product');
            $ids = $productModel->sortSearchListQuery (TRUE, $category->virtuemart_category_id);
            $categoryCountDecorator->count = count($ids);

            $categoryImageDecorator = new stdClass();
            $categoryImageDecorator->image = $category->images[0];
            $categoryImageDecorator->link = $categoryNameDecorator->link;
            $categoryItems = new stdClass();
            $categoryItems->categoryName = $categoryNameDecorator;
            $categoryItems->categoryDesc = $categoryDescDecorator;
            $categoryItems->categoryCount = $categoryCountDecorator;
            $categoryItems->categoryImage = $categoryImageDecorator;
        ?>
        
        <div class="separated-item-9 col-sm-8 grid">
            <div class=" bd-griditem-9">
                <?php 
    renderTemplateFromIncludes('category_name_3', array($categoryItems));
?>
            </div>
        </div>
        <?php endforeach; ?>
        </div>
    </div>
    <?php endif; ?>
</div>
<?php endif; ?>
<?php endif; ?>
</div>
    <?php if (!empty($this->products)) : ?>
    <div class=" bd-productsgridbar-28">
    <div class="bd-container-inner">
        <?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/layoutcontainer_27.php'); ?>
	
		<?php renderTemplateFromIncludes('products_grid_pagination_1', array($this)); ?>
    </div>
</div>
    <div class=" bd-grid-53">
        <div class="separated-grid row">
          <?php foreach ( $this->products as $product ) : ?>
    <?php
        //create product title decorator object
        $productTitleDecorator = new stdClass();
        $productTitleDecorator->link = $product->link;
        $productTitleDecorator->name = $product->product_name;
        //create product desc decorator object
        $productDescDecorator = new stdClass();
        $productDescDecorator->desc = $product->product_s_desc;
        //create product price decorator object
        $productPriceDecorator = new stdClass();
        $productPriceDecorator->show_prices = $this->show_prices;
        $productPriceDecorator->currency = $this->currency;
        $productPriceDecorator->prices = $product->prices;
        $productPriceDecorator->imagesExists = isset($product->images) ? true : false;
        $productPriceDecorator->image = $productPriceDecorator->imagesExists ? $product->images[0] : null;
        //create product image decorator object
        $productImageDecorator = new stdClass();
        $productImageDecorator->imagesExists = isset($product->images) ? true : false;
        $productImageDecorator->image = $productImageDecorator->imagesExists ? $product->images[0] : null;
        $productImageDecorator->link = $product->link;
        //create product buy decorator object
        $productBuyDecorator = new stdClass();
        $productBuyDecorator->prices = $product->prices;
        $productBuyDecorator->min_order_level = isset($product->min_order_level) ? $product->min_order_level : null;
        $productBuyDecorator->orderable = $product->orderable;
        $productBuyDecorator->link = $product->link;
        $productBuyDecorator->name = $product->product_name;
        $productBuyDecorator->id = $product->virtuemart_product_id;
        //create product sale decorator object
        $productSaleDecorator = new stdClass();
        $productSaleDecorator->prices = $product->prices;
        $productSaleDecorator->currency = $this->currency;
        //create product out of stock decorator object
        $productOutOfStockDecorator = new stdClass();
        if (isset($product->product_in_stock) && isset($product->product_ordered)) {
            $productOutOfStockDecorator->product_in_stock = $product->product_in_stock;
            $productOutOfStockDecorator->product_ordered = $product->product_ordered;
        } else {
            $productOutOfStockDecorator = null;
        }
        $productOutOfStockDecorator->product_in_stock = isset($product->product_in_stock) ? $product->product_in_stock : null;
        $productOutOfStockDecorator->product_ordered = isset($product->product_ordered) ? $product->product_ordered : null;
        //create products items collection
        $productItems = new stdClass();
        $productItems->productTitle = $productTitleDecorator;
        $productItems->productDesc  = $productDescDecorator;
        $productItems->productPrice = $productPriceDecorator;
        $productItems->productImage = $productImageDecorator;
        $productItems->productBuy   = $productBuyDecorator;
        $productItems->productSale = $productSaleDecorator;
        $productItems->productOutOfStock = $productOutOfStockDecorator;
    ?>
    
    <div class="separated-item-5 col-sm-8 grid">
        <div class=" bd-griditem-5">
            <?php 
    renderTemplateFromIncludes('product_image_4', array($productItems));
?>
	
		<?php 
    renderTemplateFromIncludes('product_title_7', array($productItems));
?>
	
		<?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/layoutcontainer_41.php'); ?>
	
		<?php 
    renderTemplateFromIncludes('product_buy_2', array($productItems));
?>
	
		<?php 
    // todo context can be self product
    renderTemplateFromIncludes('product_sale_2', array($productItems));
?>
        </div>
    </div>
    <div class="separated-item-6 col-sm-24 list">
        <div class=" bd-griditem-6">
            <?php include($GLOBALS['designer_settings']['current_theme_path'] . '/includes/layoutcontainer_26.php'); ?>
        </div>
    </div>
    <?php endforeach; ?>
        </div>
    </div>
    <div class=" bd-productsgridbar-30">
    <div class="bd-container-inner">
        <?php renderTemplateFromIncludes('products_grid_pagination_2', array($this)); ?>
    </div>
</div>
    <?php elseif ($this->search !==null ) : ?>
        <?php echo JText::_('COM_VIRTUEMART_NO_RESULT').($this->keyword? ' : ('. $this->keyword. ')' : ''); ?>
    <?php endif; ?>
</div>

</div><!-- end browse-view -->
<?php } ?>
